Bug 50973 - Move SliderThumbElement into its own file
Summary: Move SliderThumbElement into its own file
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 44907
  Show dependency treegraph
 
Reported: 2010-12-13 14:12 PST by Dimitri Glazkov (Google)
Modified: 2010-12-15 20:50 PST (History)
8 users (show)

See Also:


Attachments
Patch (20.89 KB, patch)
2010-12-13 16:40 PST, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Patch (21.58 KB, patch)
2010-12-14 09:09 PST, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Hopefully everything builds now. (28.34 KB, patch)
2010-12-14 10:16 PST, Dimitri Glazkov (Google)
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2010-12-13 14:12:56 PST
In preparation for converting it to the right-side-up shadow DOM.
Comment 1 Dimitri Glazkov (Google) 2010-12-13 16:40:44 PST
Created attachment 76466 [details]
Patch
Comment 2 WebKit Review Bot 2010-12-13 17:41:09 PST
Attachment 76466 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/6934110
Comment 3 Build Bot 2010-12-13 17:45:19 PST
Attachment 76466 [details] did not build on win:
Build output: http://queues.webkit.org/results/6909112
Comment 4 Early Warning System Bot 2010-12-13 18:20:32 PST
Attachment 76466 [details] did not build on qt:
Build output: http://queues.webkit.org/results/7043026
Comment 5 David Levin 2010-12-13 19:35:15 PST
Comment on attachment 76466 [details]
Patch

Due to broken builds.
Comment 6 Dimitri Glazkov (Google) 2010-12-14 09:09:18 PST
Created attachment 76541 [details]
Patch
Comment 7 Dimitri Glazkov (Google) 2010-12-14 09:43:04 PST
Comment on attachment 76541 [details]
Patch

still need to fix win.
Comment 8 Build Bot 2010-12-14 09:54:26 PST
Attachment 76541 [details] did not build on win:
Build output: http://queues.webkit.org/results/6999113
Comment 9 Dimitri Glazkov (Google) 2010-12-14 10:16:04 PST
Created attachment 76544 [details]
Hopefully everything builds now.
Comment 10 Dimitri Glazkov (Google) 2010-12-14 10:40:32 PST
Yay, all builds! David, can haz r+?
Comment 11 Dimitri Glazkov (Google) 2010-12-14 11:30:35 PST
Committed r74044: <http://trac.webkit.org/changeset/74044>
Comment 12 WebKit Review Bot 2010-12-14 11:39:48 PST
http://trac.webkit.org/changeset/74044 might have broken GTK Linux 64-bit Debug
Comment 13 Dimitri Glazkov (Google) 2010-12-15 20:50:32 PST
(In reply to comment #12)
> http://trac.webkit.org/changeset/74044 might have broken GTK Linux 64-bit Debug

GTK Fixed in http://trac.webkit.org/changeset/74047.